/*
 * Copyright (c) 2021, 2025 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/*
 * generated by Xtext 2.21.0
 */

package org.eclipse.trace4cps.tl.ui;

import org.eclipse.trace4cps.tl.ui.autoedit.EtlAutoEditStrategyProvider;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.eclipse.xtext.ui.editor.autoedit.AbstractEditStrategyProvider;

/**
 * Use this class to register components to be used within the Eclipse IDE.
 */
public class EtlUiModule extends AbstractEtlUiModule {
    public EtlUiModule(AbstractUIPlugin plugin) {
        super(plugin);
    }

    @Override
    public Class<? extends AbstractEditStrategyProvider> bindAbstractEditStrategyProvider() {
        return EtlAutoEditStrategyProvider.class;
    }
}
